Bug 14125 - Version variable not properly replaced in csv profiles help page
Summary: Version variable not properly replaced in csv profiles help page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-03 10:19 UTC by Katrin Fischer
Modified: 2015-12-03 22:11 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14125: Fix template problems on csv profiles help page (1.64 KB, patch)
2015-05-04 06:23 UTC, Katrin Fischer
Details | Diff | Splinter Review
[Signed-off] Bug 14125: Fix template problems on csv profiles help page (1.81 KB, patch)
2015-05-04 08:37 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 14125: Fix template problems on csv profiles help page (1.76 KB, patch)
2015-05-05 10:46 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-05-03 10:19:51 UTC
To see the problem:
- Go to Tools > CSV-Profiles
- Open help page
- Check link to the manual:

<p><strong>See the full documentation for CSV Profiles in the <a href="http://manual.koha-community.org/[% helpVersion %]/en/csvprofiles.html">manual</a> (online).</strong></p>
Comment 1 Katrin Fischer 2015-05-04 06:23:17 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-05-04 08:37:22 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-05-05 10:46:02 UTC
Created attachment 38845 [details] [review]
[PASSED QA] Bug 14125: Fix template problems on csv profiles help page

Page uses TAGS Directive in order to print TT directives
in the manual without having them interpreted, but fails
to switch back/change all following TT code, causing
problems in displaying the file correctly.

See TT documentation:
http://www.template-toolkit.org/docs/manual/Directives.html#section_TAGS

As [- ... -] showed up in translations, I chose to switch back
instead of changing the TT variable and INCLUDE.

To test:
- Go to tools > csv profiles
- Open the help page
- Verify the link to the manual includes the version and works
- Verify the footer shows up correctly with the edit buttons

Works as expected.
Signed-off-by: Marc Veron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2015-05-07 15:34:34 UTC
Patch pushed to master.

Thanks Katrina!